Skip to content
Primary navigation

List fine-tuning checkpoints

GET/fine_tuning/jobs/{fine_tuning_job_id}/checkpoints

List checkpoints for a fine-tuning job.

Path ParametersExpand Collapse
fine_tuning_job_id: string
Query ParametersExpand Collapse
after: optional string

Identifier for the last checkpoint ID from the previous pagination request.

limit: optional number

Number of checkpoints to retrieve.

ReturnsExpand Collapse
data: array of FineTuningJobCheckpoint { id, created_at, fine_tuned_model_checkpoint, 4 more }
id: string

The checkpoint identifier, which can be referenced in the API endpoints.

created_at: number

The Unix timestamp (in seconds) for when the checkpoint was created.

fine_tuned_model_checkpoint: string

The name of the fine-tuned checkpoint model that is created.

fine_tuning_job_id: string

The name of the fine-tuning job that this checkpoint was created from.

metrics: object { full_valid_loss, full_valid_mean_token_accuracy, step, 4 more }

Metrics at the step number during the fine-tuning job.

full_valid_loss: optional number
full_valid_mean_token_accuracy: optional number
step: optional number
train_loss: optional number
train_mean_token_accuracy: optional number
valid_loss: optional number
valid_mean_token_accuracy: optional number
object: "fine_tuning.job.checkpoint"

The object type, which is always "fine_tuning.job.checkpoint".

step_number: number

The step number that the checkpoint was created at.

has_more: boolean
object: "list"
first_id: optional string
last_id: optional string

List fine-tuning checkpoints

curl https://api.openai.com/v1/fine_tuning/jobs/ftjob-abc123/checkpoints \
  -H "Authorization: Bearer $OPENAI_API_KEY"
{
  "object": "list",
  "data": [
    {
      "object": "fine_tuning.job.checkpoint",
      "id": "ftckpt_zc4Q7MP6XxulcVzj4MZdwsAB",
      "created_at": 1721764867,
      "fine_tuned_model_checkpoint": "ft:gpt-4o-mini-2024-07-18:my-org:custom-suffix:96olL566:ckpt-step-2000",
      "metrics": {
        "full_valid_loss": 0.134,
        "full_valid_mean_token_accuracy": 0.874
      },
      "fine_tuning_job_id": "ftjob-abc123",
      "step_number": 2000
    },
    {
      "object": "fine_tuning.job.checkpoint",
      "id": "ftckpt_enQCFmOTGj3syEpYVhBRLTSy",
      "created_at": 1721764800,
      "fine_tuned_model_checkpoint": "ft:gpt-4o-mini-2024-07-18:my-org:custom-suffix:7q8mpxmy:ckpt-step-1000",
      "metrics": {
        "full_valid_loss": 0.167,
        "full_valid_mean_token_accuracy": 0.781
      },
      "fine_tuning_job_id": "ftjob-abc123",
      "step_number": 1000
    }
  ],
  "first_id": "ftckpt_zc4Q7MP6XxulcVzj4MZdwsAB",
  "last_id": "ftckpt_enQCFmOTGj3syEpYVhBRLTSy",
  "has_more": true
}
Returns Examples
{
  "object": "list",
  "data": [
    {
      "object": "fine_tuning.job.checkpoint",
      "id": "ftckpt_zc4Q7MP6XxulcVzj4MZdwsAB",
      "created_at": 1721764867,
      "fine_tuned_model_checkpoint": "ft:gpt-4o-mini-2024-07-18:my-org:custom-suffix:96olL566:ckpt-step-2000",
      "metrics": {
        "full_valid_loss": 0.134,
        "full_valid_mean_token_accuracy": 0.874
      },
      "fine_tuning_job_id": "ftjob-abc123",
      "step_number": 2000
    },
    {
      "object": "fine_tuning.job.checkpoint",
      "id": "ftckpt_enQCFmOTGj3syEpYVhBRLTSy",
      "created_at": 1721764800,
      "fine_tuned_model_checkpoint": "ft:gpt-4o-mini-2024-07-18:my-org:custom-suffix:7q8mpxmy:ckpt-step-1000",
      "metrics": {
        "full_valid_loss": 0.167,
        "full_valid_mean_token_accuracy": 0.781
      },
      "fine_tuning_job_id": "ftjob-abc123",
      "step_number": 1000
    }
  ],
  "first_id": "ftckpt_zc4Q7MP6XxulcVzj4MZdwsAB",
  "last_id": "ftckpt_enQCFmOTGj3syEpYVhBRLTSy",
  "has_more": true
}